# autoj - Automated Java Build System
# Copyright (C) 2004 Daniel Tschan

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

AC_DEFUN([AJ_INIT_AUTOJ],[
DATE="\`date +%Y%m%d\`"
SRCDIR=src
TESTDIR=test
BINDIR=bin
LIBDIR=lib
LOCALDIR=local
WWWDIR=www
JAVADOCDIR=javadoc
TMPDIR=tmp
LIBSFILE=libs
MANIFESTFILE=manifest
ARDIR=ar
ARNAME="\$(PACKAGE_NAME)-\$(DATE)"

AC_SUBST([DATE])
AC_SUBST([SRCDIR])
AC_SUBST([TESTDIR])
AC_SUBST([BINDIR])
AC_SUBST([LIBDIR])
AC_SUBST([LIBSFILE])
AC_SUBST([LOCALDIR])
AC_SUBST([WWWDIR])
AC_SUBST([TMPDIR])
AC_SUBST([JAVADOCDIR])
AC_SUBST([MANIFESTFILE])
AC_SUBST([ARDIR])
AC_SUBST([ARNAME])

if test -n "$COMSPEC$ComSpec"; then
  AJ_PATH_SEPARATOR=';'
else
  AJ_PATH_SEPARATOR=':'
fi
AC_SUBST([AJ_PATH_SEPARATOR])

AC_SUBST([CLASSPATH])
AC_SUBST([JIKESPATH])

AC_PATH_PROG([BASH], [bash])
AC_CHECK_PROG([CYGPATH], [cygpath], [cygpath -wf -], [cat])
AC_PATH_PROG([WGET], [wget])
AC_PROG_JAVAC
AC_PROG_JAVA
AC_PROG_JAR
AC_PROG_JAVADOC
AC_CHECK_CLASS([ch.devzone.contract.doclet.Main], [DOCLET="-doclet ch.devzone.contract.doclet.Main"])
AC_SUBST([DOCLET])
AC_JAVA_OPTIONS

AC_PROVIDE([$0])dnl
])
